List submissions for a collection order
GET
/v1/projects/{projectId}/collection-orders/{orderId}/submissionscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/submissions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- decisionstring可选值pendingaccepted_autoin_reviewacceptedrejected
- taskIdstring (uuid)
- collectorMembershipIdstring (uuid)
响应
Success
- dataarray<CollectionSubmissionDto>必填
- idstring必填
- orderIdstring必填
- taskIdstring必填
- sceneIdstring | null必填
- collectorMembershipIdstring必填
- recordingIdstring必填
- deliveryBatchIdstring必填
- decisionstring必填可选值pendingacceptedrejectedaccepted_autoin_review
- reasonCodestring | null必填可选值consent_missingprivacy_not_clearedrecording_lengthmodality_missinghands_visiblequality_check_failedprocessing_failedprocessing_cancelledreviewer_other
- reasonDetailstring | null必填
- reviewerMembershipIdstring | null必填
- decidedAtstring | null必填
- countsTowardQuotaone of必填
- recordedDurationSnumber | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"collectorMembershipId": "string",
"recordingId": "string",
"deliveryBatchId": "string",
"decision": "pending",
"reasonCode": "consent_missing",
"reasonDetail": "string",
"reviewerMembershipId": "string",
"decidedAt": "string",
"countsTowardQuota": false,
"recordedDurationS": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1